package com.eactive.eai.rms.data.entity.onl.logger;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.eactive.eai.data.entity.onl.logger.EAILogId;
import com.eactive.eai.rms.data.entity.onl.apim.portalstatistics.PortalStatisticsVO;

public interface EAILogService {

	Page<EAILogDto> findAll(Pageable pageable, EAILogSearch eaiLogSearch);

	EAILogDto getById(EAILogId eaiLogId);

	List<PortalStatisticsVO> selectLogList(HashMap<String, Object> paramMap);

	Map<String, Long> getTransactionCounts(EAILogSearch eaiLogSearch);

	ApiLogDTO getApiLog(String txDate, String apiServiceNumber);
}
